summaryrefslogtreecommitdiff
path: root/eclass/tests/unpacker.sh
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-09-29 03:21:54 +0100
committerV3n3RiX <venerix@koprulu.sector>2022-09-29 03:21:54 +0100
commit62ea91b40c7650011a72ed2443f76b88b06123fe (patch)
tree1e60e1f2ac4a793b10db166d55ffadb46eeda0ff /eclass/tests/unpacker.sh
parentbd7d7f7f69423122e08209eefb1a8fa1d363e35e (diff)
gentoo auto-resync : 29:09:2022 - 03:21:54
Diffstat (limited to 'eclass/tests/unpacker.sh')
-rwxr-xr-xeclass/tests/unpacker.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/eclass/tests/unpacker.sh b/eclass/tests/unpacker.sh
index b15953966f65..105f28fd4858 100755
--- a/eclass/tests/unpacker.sh
+++ b/eclass/tests/unpacker.sh
@@ -42,9 +42,14 @@ test_unpack() {
eval "${packcmd}"
assert "packing ${archive} failed"
cd testdir || die
+
+ # create a symlink to flush out compressor issues and resemble distdir more
+ # https://bugs.gentoo.org/873352
+ ln -s "../${archive}" "${archive}" || die
+
local out
out=$(
- _unpacker "../${archive}" 2>&1
+ _unpacker "${archive}" 2>&1
)
ret=$?
if [[ ${ret} -eq 0 ]]; then